#include <my\graph.h>
#include "vesa.h"

unsigned int linbuf=0;

int initgr(void)
{
 char sign[]="VESA";
 VesaInfo      info;
 VesaModeData  modedata;
 VesaInfo far *pi;
 VesaModeData far *pd;

 pi=&info;
 GetVesaInfo(pi);
 if (memcmp(&info.Signature,sign,4)) return(1);
 printf("VESA %d.%d\n",info.Version/256,info.Version%256);
 printf("%s\n",(char *) (info.OEMNameSegment*16+info.OEMNameOffset));
 pd=&modedata;
 GetModeInfo(pd,0x101);
 if (linbuf=modedata.PhysicalAddress) printf("Linear Frame Buffer at: %xH\n",linbuf);
 else printf("Nincs Linear Frame Buffer. Tolts be egy 2.0-s VESA-t. (univbe)\n");
 return(0);
}