#include <dos.h>
#include "vesa.h"
//#include <my\mytypes.h>

typedef struct RMREGS
{
        DWORD           edi;
        DWORD           esi;
        DWORD           ebp;
        DWORD           reserved;
        DWORD           ebx;
        DWORD           edx;
        DWORD           ecx;
        DWORD           eax;
        UWORD           flags;
        UWORD           es,ds,fs,gs,ip,cs,sp,ss;
} RMREGS;

void GetVesaInfo(VesaInfo far *block)
{
 union REGS regs;
 struct SREGS sregs;
 VesaInfo far *dosblock;
 UWORD segment,selector;
 RMREGS   rmregs;

 memset(&rmregs,0,sizeof(rmregs));
 memset(&regs,0,sizeof(regs));
 memset(&sregs,0,sizeof(sregs));

 //dos memoria foglalas:
 regs.w.ax=0x100;
 regs.w.bx=(UWORD)(sizeof(VesaInfo)+15)/16;   //Paragraph-ra kerekitunk
 int386(0x31,&regs,&regs);
 segment=regs.w.ax;
 selector=regs.w.dx;
 dosblock=MK_FP(selector,0);


 //Vesa lekerd
 segread(&sregs);
 rmregs.eax = 0x4f00;
 rmregs.es = segment;
 rmregs.ds = segment;
 memset(&regs,0,sizeof(regs));
 regs.x.eax = 0x300;
 regs.x.ebx = 0x10;
 regs.x.ecx = 0;
 sregs.es = FP_SEG(&rmregs);
 regs.x.edi = FP_OFF(&rmregs);
 int386x(0x31,&regs,&regs,&sregs);       //Get vesa info.

 //atmenteni magunknak
 _fmemcpy(block,dosblock,sizeof(VesaInfo));

 //Dos memoria vissza
 memset(&regs,0,sizeof(regs));
 regs.w.ax=0x101;
 regs.w.dx=selector;
 int386(0x31,&regs,&regs);
}


void GetModeInfo(VesaModeData far *block,int mode)
{
 union REGS regs;
 struct SREGS sregs;
 VesaInfo far *dosblock;
 UWORD segment,selector;
 RMREGS   rmregs;

 memset(&rmregs,0,sizeof(rmregs));
 memset(&regs,0,sizeof(regs));
 memset(&sregs,0,sizeof(sregs));

 //dos memoria foglalas:
 regs.w.ax=0x100;
 regs.w.bx=(UWORD)(sizeof(VesaModeData)+15)/16;   //Paragraph-ra kerekitunk
 int386(0x31,&regs,&regs);
 segment=regs.w.ax;
 selector=regs.w.dx;
 dosblock=MK_FP(selector,0);


 //Vesa lekerd
 segread(&sregs);
 rmregs.eax = 0x4f01;
 rmregs.ecx = mode;
 rmregs.es = segment;
 rmregs.ds = segment;
 memset(&regs,0,sizeof(regs));
 regs.x.eax = 0x300;
 regs.x.ebx = 0x10;
 sregs.es = FP_SEG(&rmregs);
 regs.x.edi = FP_OFF(&rmregs);
 int386x(0x31,&regs,&regs,&sregs);       //Get vesa info.

 //atmenteni magunknak
 _fmemcpy(block,dosblock,sizeof(VesaModeData));

 //Dos memoria vissza
 memset(&regs,0,sizeof(regs));
 regs.w.ax=0x101;
 regs.w.dx=selector;
 int386(0x31,&regs,&regs);
}

